- content_for(:menu_item) { "menu-agendas" }

.card
  .card-header
    h3.text-center = t(".search_for_slots_title")
    - if @form.users.any?
       h6.card-subtitle.mb-2.text-center = t(".search_for_slots_subtitle", users_fullname: @form.users.map(&:full_name).join(" ,"))
  .card-body
    h5.card-title Configuration des filtres
    = simple_form_for(@form, as: "", url: admin_organisation_agent_searches_path(current_organisation), method: :get) do |f|
      - @form.user_ids.each do |user_id|
        = hidden_field_tag "user_ids[]", user_id
      - if @form.context.present?
        = hidden_field_tag :context, @form.context
      .row
        .col-md-4
          = f.input :service_id, \
            collection: @services, \
            input_html: { \
              class: "select2-input js-service-filter", \
              data: { \
                placeholder: "Sélectionnez un service pour filtrer les motifs", \
                "select-options": { disableSearch: true }, \
              }, \
            }
        .col-md-4
          = f.input :motif_id, \
            required: true, \
            include_blank: true, \
            collection: @motifs.includes(:service).to_a.group_by { _1.service.name }, \
            as: :grouped_select, \
            group_method: :last,
            label_method: -> { motif_name_with_location_type(_1) }, \
            input_html: { \
              data: { placeholder: "Sélectionnez un motif" }, \
              class: "js-filtered-motifs", \
            }
        .col-md-4
          = date_input(f, :from_date, label = "À partir du", required: true)
      .row
        - if @teams.any?
          .col-md-4
            = f.input :team_ids, collection: @teams, label: t(".teams"), label_method: :name, input_html: { \
                multiple: true, \
                class: "select2-input", \
                data: { \
                  "select-options": { \
                    ajax: {\
                      url: search_admin_territory_teams_path(current_organisation.territory),
                      dataType: "json",
                      delay: 250, \
                    }, \
                  }, \
                }, \
              }

        .col-md-4
          = f.input :agent_ids, collection: @agents, label: t(".agents"), label_method: :reverse_full_name, input_html: { \
              multiple: true, \
              class: "select2-input",\
              data: { \
                "select-options": { \
                  ajax: { \
                    url: admin_organisation_agents_path(current_organisation),
                    dataType: "json",
                    delay: 250, \
                  }, \
                }, \
              }, \
            }

        .col-md-4
          = f.input :lieu_ids, collection: @lieux, label: "Lieu(x)", input_html: { multiple: true, class: "select2-input" }
      .text-right
        = f.submit "Afficher les créneaux", class: "btn btn-primary", data: { disable_with: "Récupération des créneaux..."}

#creneaux
  .text-center
    - if @search_results&.any?
      .container
        h3.font-weight-bold Résultats de votre recherche
        p.font-weight-bold= t(".available_places_with_slots", count: @search_results.length)
        - @search_results.each do |search_result|
          = render "lieu_search_results", search_result: search_result
    - elsif @form.motif.present?
      = t(".no_slot_available", motif_name: @form.motif.name)
